Skip to main content

Request Network Unit List

Retrieves information of units in network identified by network ID, requires use of API key and sessionId (Header: X-Casambi-Key, X-Casambi-Session). Note that if unit is part of a group (groupId > 0) it will have position value of 0 as the actual position within the group will be found in related group information.

HTTP Request:

GET https://door.casambi.com/v1/networks/{id}/units

Path Parameters:

id: "networkId"

CURL Example:

curl "https://door.casambi.com/v1/networks/NETWORK-ID-HERE/units" \
-H "X-Casambi-Session:SESSION-ID-HERE" \
-H "X-Casambi-Key:API-KEY-HERE"
Response Example
{
"12": {
"id": 12,
"address": "80dfc3a5e41e",
"name": "CBM #5656",
"position": 0,
"fixtureId": 5656,
"firmwareVersion": "32.10",
"groupId": 3,
"labels": {},
"type": "Luminaire"
},
"15": {
"id": 15,
"address": "b3e63c069abc",
"name": "aBc (PIR)",
"position": 3,
"fixtureId": 1202,
"firmwareVersion": "32.10",
"groupId": 0,
"labels": {},
"type": "Sensor"
},
"18": {
"id": 18,
"address": "a01e6079c30f",
"name": "TestZXY",
"image": "7Fw3whiOxsfuE6GTR6utJl8OEAPkOd3",
"position": 4,
"fixtureId": 5124,
"firmwareVersion": "32.10",
"groupId": 0,
"labels": {},
"type": "Luminaire"
}
}